<form novalidate>
  <input type="url"
         name="url"
         placeholder="URL"
         required
         pattern="(https?)://[^\s/$.?#].[^\s]*"
         [(ngModel)]="url"
         #urlControl="ngModel">
  <button [disabled]="!urlControl.valid" (click)="onOk()">OK</button>
</form>
